Bug 827830 - (CVE-2012-1944) CVE-2012-1944 Mozilla: Content Security Policy inline-script bypass (MFSA 2012-36)
CVE-2012-1944 Mozilla: Content Security Policy inline-script bypass (MFSA 201...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120605,repor...
: Security
Depends On:
Blocks: 816119
  Show dependency treegraph
 
Reported: 2012-06-03 04:34 EDT by Huzaifa S. Sidhpurwala
Modified: 2012-06-06 20:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 20:28:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-06-03 04:34:52 EDT
Security researcher Adam Barth found that inline event handlers, such as onclick, were no longer blocked by Content Security Policy's (CSP) inline-script blocking feature. Web applications relying on this feature of CSP to protect against cross-site scripting (XSS) were not fully protected. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-36.html
http://www.w3.org/TR/CSP/
Comment 1 Murray McAllister 2012-06-04 23:26:47 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue.
Upstream acknowledges security researcher Adam Barth as the original
reporter.
Comment 2 errata-xmlrpc 2012-06-05 16:59:16 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0710 https://rhn.redhat.com/errata/RHSA-2012-0710.html
Comment 3 errata-xmlrpc 2012-06-06 19:51:10 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:0715 https://rhn.redhat.com/errata/RHSA-2012-0715.html

Note You need to log in before you can comment on or make changes to this bug.